Skip to main content
PATCH
/
projects
/
{projectId}
/
warehouse-sources
/
imports
/
{importId}
Update a warehouse import
curl --request PATCH \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/{importId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paused": true,
  "databricks_params": {
    "export_cluster_config": {
      "spark_version": "<string>",
      "node_type_id": "<string>",
      "driver_node_type_id": "<string>",
      "num_workers": 1,
      "autoscale": {
        "min_workers": 1,
        "max_workers": 2
      },
      "spark_conf": {},
      "spark_env_vars": {},
      "single_user_name": "<string>",
      "custom_tags": {},
      "policy_id": "<string>",
      "instance_pool_id": "<string>",
      "driver_instance_pool_id": "<string>",
      "enable_elastic_disk": true,
      "aws_attributes": {},
      "azure_attributes": {},
      "gcp_attributes": {},
      "init_scripts": [
        {}
      ]
    }
  }
}
'
{
  "status": "ok",
  "results": {
    "id": 123,
    "created": "2023-11-07T05:31:56Z",
    "creator_id": 123,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "warehouse_source_id": 123,
    "table_params": {},
    "paused": true,
    "last_dispatch": 123,
    "is_deleted": true,
    "event_name": "<string>",
    "event_column_name": "<string>",
    "time_column_name": "<string>",
    "user_column_name": "<string>",
    "insert_time_column_name": "<string>",
    "property_mappings": {},
    "group_key": "<string>",
    "group_id_column": "<string>",
    "databricks_params": {
      "export_cluster_config": {
        "spark_version": "<string>",
        "node_type_id": "<string>",
        "driver_node_type_id": "<string>",
        "num_workers": 1,
        "autoscale": {
          "min_workers": 1,
          "max_workers": 2
        },
        "spark_conf": {},
        "spark_env_vars": {},
        "single_user_name": "<string>",
        "custom_tags": {},
        "policy_id": "<string>",
        "instance_pool_id": "<string>",
        "driver_instance_pool_id": "<string>",
        "enable_elastic_disk": true,
        "aws_attributes": {},
        "azure_attributes": {},
        "gcp_attributes": {},
        "init_scripts": [
          {}
        ]
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

importId
integer
required

Your warehouse import id (eg: 12345)

Body

application/json
paused
boolean
required

Whether to pause (true) or resume (false) the import

run_every
enum<integer>
required

Sync frequency in nanoseconds. Only these values are accepted:

  • 0 - API-triggered only (use the manual-sync endpoint to trigger)
  • 3600000000000 - Hourly
  • 86400000000000 - Daily
  • 604800000000000 - Weekly
Available options:
0,
3600000000000,
86400000000000,
604800000000000
databricks_params
object

Response

Success

status
enum<string>

"ok" if the request succeeded, "error" otherwise.

Available options:
ok
Example:

"ok"

results
object